Package Details: varicad 2024.1.02-1

Git Clone URL: https://aur.archlinux.org/varicad.git (read-only, click to copy)
Package Base: varicad
Description: VariCAD is 3D/2D CAD for mechanical engineering.
Upstream URL: https://www.varicad.com/
Licenses: custom
Provides: varicad
Submitter: zzy-ac
Maintainer: zzy-ac (FabioLolix)
Last Packager: zzy-ac
Votes: 1
Popularity: 0.102282
First Submitted: 2023-12-26 13:13 (UTC)
Last Updated: 2024-01-11 11:52 (UTC)

Latest Comments

zzy-ac commented on 2023-12-27 00:03 (UTC)

@FabioLolix You have been added to the list of co maintainers. Welcome to submit the update.

FabioLolix commented on 2023-12-26 18:26 (UTC)

Hello,

  • provides=(varicad) is not needed
  • license in unknown since there isn't a dedicated license file, can't evince one looking at the website
  • please use source_x86_64=() instead of source=() since the program is x86_64 specific
  • depends may need an update according to namcap:
varicad E: Dependency xcb-util-renderutil detected and not included (libraries ['usr/lib/libxcb-render-util.so.0'] needed in files ['opt/VariCAD/bin/varicad', 'opt/VariCAD/bin/varicad_runtime'])
varicad E: Dependency glu detected and not included (libraries ['usr/lib/libGLU.so.1'] needed in files ['opt/VariCAD/bin/varicad', 'opt/VariCAD/bin/varicad_runtime'])
varicad E: Dependency libxkbcommon-x11 detected and not included (libraries ['usr/lib/libxkbcommon-x11.so.0'] needed in files ['opt/VariCAD/bin/varicad', 'opt/VariCAD/bin/varicad_runtime'])
varicad E: Dependency libxkbcommon detected and not included (libraries ['usr/lib/libxkbcommon.so.0'] needed in files ['opt/VariCAD/bin/varicad', 'opt/VariCAD/bin/varicad_runtime'])
varicad E: Dependency libsm detected and not included (libraries ['usr/lib/libSM.so.6'] needed in files ['opt/VariCAD/bin/varicad', 'opt/VariCAD/bin/varicad_runtime'])
varicad E: Dependency xcb-util-wm detected and not included (libraries ['usr/lib/libxcb-icccm.so.4'] needed in files ['opt/VariCAD/bin/varicad', 'opt/VariCAD/bin/varicad_runtime'])
varicad E: Dependency xcb-util-keysyms detected and not included (libraries ['usr/lib/libxcb-keysyms.so.1'] needed in files ['opt/VariCAD/bin/varicad', 'opt/VariCAD/bin/varicad_runtime'])
varicad E: Dependency libglvnd detected and not included (libraries ['usr/lib/libGL.so.1'] needed in files ['opt/VariCAD/bin/varicad', 'opt/VariCAD/bin/varicad_runtime'])
varicad E: Dependency libice detected and not included (libraries ['usr/lib/libICE.so.6'] needed in files ['opt/VariCAD/bin/varicad', 'opt/VariCAD/bin/varicad_runtime'])
varicad E: Dependency xcb-util-image detected and not included (libraries ['usr/lib/libxcb-image.so.0'] needed in files ['opt/VariCAD/bin/varicad', 'opt/VariCAD/bin/varicad_runtime'])
[...]
varicad W: Dependency included, but may not be needed ('libxcomposite')
varicad W: Dependency included, but may not be needed ('libxdamage')
varicad W: Dependency included, but may not be needed ('libxext')
varicad W: Dependency included, but may not be needed ('libxfixes')
varicad W: Dependency included, but may not be needed ('mime-types')

Additionally I've got this message but I'm unsure haven't looked deeply at it:

  -> Compressing package...
: Can't translate pathname 'opt/VariCAD/lib/samples/cz/title blocks/razítko detail 1.dwb' to UTF-8: Can't translate pathname 'opt/VariCAD/lib/samples/cz/title blocks/razítko detail.dwb' to UTF-8: Can't translate pathname 'opt/VariCAD/lib/samples/cz/title blocks/razítko sestava 1.dwb' to UTF-8: Can't translate pathname 'opt/VariCAD/lib/samples/cz/title blocks/razítko sestava.dwb' to UTF-8: Can't translate pathname 'opt/VariCAD/lib/samples/de/title blocks/stücklisten komplett.dwb' to UTF-8: Can't translate pathname 'opt/VariCAD/lib/samples/de/title blocks/stücklisten_1.dwb' to UTF-8: Can't translate pathname 'opt/VariCAD/lib/samples/de/title blocks/stücklisten_10.dwb' to UTF-8: Can't translate pathname 'opt/VariCAD/lib/samples/de/title blocks/stücklisten_3.dwb' to UTF-8: Can't translate pathname 'opt/VariCAD/lib/samples/de/title blocks/stücklisten_5.dwb' to UTF-8: Can't translate pathname 'opt/VariCAD/lib/samples/de/title blocks/stücklisten_7.dwb' to UTF-8==> Leaving fakeroot environment.
==> Finished making: varicad 2024.1.01-2 (Tue Dec 26 19:22:11 2023)